<input type="text" id="test" />
<div id="data">

</div>
<script>
$.getJSON('sandbox.txt',
function (data) {
    for (var i = 0; i < data.length; i++) {
$('#data').append('<div>'+data[i].title+'</div>')
	}
});


$("#test").keyup(function (e) {
$('#data').html('')
srchstr =  $(this).val()
if(srchstr==""){
rebuild()	
}
else{
$.getJSON('sandbox.txt', function(data) {
filterData(data, srchstr);
});
}Cl
});
			
function filterData(data, srchstr){
$.getJSON('sandbox.txt', function(data) {
var filteredData = data.filter(function(c){return c.title.toUpperCase().indexOf(srchstr.toUpperCase()) === 0 ;});    
console.log(filteredData[0].title);
$('#data').append('<div>'+filteredData[0].title+'</div>')
});
} 

function rebuild(){
	
$.getJSON('sandbox.txt',
function (data) {
    for (var i = 0; i < data.length; i++) {
$('#data').append('<div>'+data[i].title+'</div>')
	}
});
	
}


</script>